> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.schoolset.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.schoolset.io/_mcp/server.

# Update a form

PUT https://ssuccessv2.com/app/api/v1/forms/{form}
Content-Type: application/json

Replaces the editable form configuration after validating the same complete definition required to create a form. Payment and UI schema rules are enforced by StoreFormRequest.

Reference: https://docs.schoolset.io/api-reference/school-set-api/forms/update-form

## Authentication

- `Authorization` header (bearer token, required) — The signed-in SchoolSet user token sent by the frontend.

## Request

### Path parameters

- `form` (long, required)

### Body (application/json)

This endpoint expects an object.

- `name` (string, required)
- `academic_year_id` (integer, required)
- `active` (boolean, required)
- `data_schema` (map from string to any, required)
- `ui_schema` (list of map from string to any, required)
- `recaptcha` (boolean, required)
- `email_receipt` (boolean, required)
- `thank_you_message` (string, optional, nullable)
- `form_audience_id` (integer, optional, nullable)
- `payment_settings` (map from string to any, optional, nullable)
- `thank_you_icon` (string, optional, nullable)
- `thank_you_icon_color` (string, optional, nullable)

## Response

### 200

Form updated.

- `status` (string, required)
- `message` (string, required)
- `data` (list of any, required)

## Errors

### 401 Unauthorized Error

Authentication is required

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 403 Forbidden Error

Caller lacks edit-forms permission

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 404 Not Found Error

Form was not found

- `status` (string, required)
- `message` (string, required)
- `data` (any, optional, nullable)

### 422 Unprocessable Entity Error

Form definition or payment configuration failed validation

- `message` (string, required)
- `errors` (map from string to list of string, required)

## Examples

**Request**

```json
{
  "name": "2026-2027 Enrollment Form",
  "academic_year_id": 7,
  "active": true,
  "data_schema": {
    "type": "object",
    "properties": {
      "student_name": {
        "type": "string"
      }
    }
  },
  "ui_schema": [
    {
      "key": "student_name",
      "type": "text"
    }
  ],
  "recaptcha": true,
  "email_receipt": true
}
```

**Response**

```json
{
  "status": "success",
  "message": "Form updated successfully.",
  "data": []
}
```

**SDK Code**

```python
import requests

url = "https://ssuccessv2.com/app/api/v1/forms/42"

payload = {
    "name": "2026-2027 Enrollment Form",
    "academic_year_id": 7,
    "active": True,
    "data_schema": {
        "type": "object",
        "properties": { "student_name": { "type": "string" } }
    },
    "ui_schema": [
        {
            "key": "student_name",
            "type": "text"
        }
    ],
    "recaptcha": True,
    "email_receipt": True
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://ssuccessv2.com/app/api/v1/forms/42';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"name":"2026-2027 Enrollment Form","academic_year_id":7,"active":true,"data_schema":{"type":"object","properties":{"student_name":{"type":"string"}}},"ui_schema":[{"key":"student_name","type":"text"}],"recaptcha":true,"email_receipt":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://ssuccessv2.com/app/api/v1/forms/42"

	payload := strings.NewReader("{\n  \"name\": \"2026-2027 Enrollment Form\",\n  \"academic_year_id\": 7,\n  \"active\": true,\n  \"data_schema\": {\n    \"type\": \"object\",\n    \"properties\": {\n      \"student_name\": {\n        \"type\": \"string\"\n      }\n    }\n  },\n  \"ui_schema\": [\n    {\n      \"key\": \"student_name\",\n      \"type\": \"text\"\n    }\n  ],\n  \"recaptcha\": true,\n  \"email_receipt\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://ssuccessv2.com/app/api/v1/forms/42")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"2026-2027 Enrollment Form\",\n  \"academic_year_id\": 7,\n  \"active\": true,\n  \"data_schema\": {\n    \"type\": \"object\",\n    \"properties\": {\n      \"student_name\": {\n        \"type\": \"string\"\n      }\n    }\n  },\n  \"ui_schema\": [\n    {\n      \"key\": \"student_name\",\n      \"type\": \"text\"\n    }\n  ],\n  \"recaptcha\": true,\n  \"email_receipt\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://ssuccessv2.com/app/api/v1/forms/42")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"2026-2027 Enrollment Form\",\n  \"academic_year_id\": 7,\n  \"active\": true,\n  \"data_schema\": {\n    \"type\": \"object\",\n    \"properties\": {\n      \"student_name\": {\n        \"type\": \"string\"\n      }\n    }\n  },\n  \"ui_schema\": [\n    {\n      \"key\": \"student_name\",\n      \"type\": \"text\"\n    }\n  ],\n  \"recaptcha\": true,\n  \"email_receipt\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://ssuccessv2.com/app/api/v1/forms/42', [
  'body' => '{
  "name": "2026-2027 Enrollment Form",
  "academic_year_id": 7,
  "active": true,
  "data_schema": {
    "type": "object",
    "properties": {
      "student_name": {
        "type": "string"
      }
    }
  },
  "ui_schema": [
    {
      "key": "student_name",
      "type": "text"
    }
  ],
  "recaptcha": true,
  "email_receipt": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://ssuccessv2.com/app/api/v1/forms/42");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"2026-2027 Enrollment Form\",\n  \"academic_year_id\": 7,\n  \"active\": true,\n  \"data_schema\": {\n    \"type\": \"object\",\n    \"properties\": {\n      \"student_name\": {\n        \"type\": \"string\"\n      }\n    }\n  },\n  \"ui_schema\": [\n    {\n      \"key\": \"student_name\",\n      \"type\": \"text\"\n    }\n  ],\n  \"recaptcha\": true,\n  \"email_receipt\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "2026-2027 Enrollment Form",
  "academic_year_id": 7,
  "active": true,
  "data_schema": [
    "type": "object",
    "properties": ["student_name": ["type": "string"]]
  ],
  "ui_schema": [
    [
      "key": "student_name",
      "type": "text"
    ]
  ],
  "recaptcha": true,
  "email_receipt": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://ssuccessv2.com/app/api/v1/forms/42")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```